Package org.apache.sysds.hops

# Enum Class BinaryOp.AppendMethod

java.lang.Object
java.lang.Enum<BinaryOp.AppendMethod>
org.apache.sysds.hops.BinaryOp.AppendMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<BinaryOp.AppendMethod>`, `Constable`

Enclosing class:
  BinaryOp

public static enum BinaryOp.AppendMethod extends Enum<BinaryOp.AppendMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CP_APPEND`
`MR_GAPPEND`
`MR_MAPPEND`
`MR_RAPPEND`
`SP_GAlignedAppend`

## Method Summary

Modifier and Type
Method
Description
`static BinaryOp.AppendMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BinaryOp.AppendMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CP_APPEND

public static final BinaryOp.AppendMethod CP_APPEND

### MR_MAPPEND

public static final BinaryOp.AppendMethod MR_MAPPEND

### MR_RAPPEND

public static final BinaryOp.AppendMethod MR_RAPPEND

### MR_GAPPEND

public static final BinaryOp.AppendMethod MR_GAPPEND

### SP_GAlignedAppend

public static final BinaryOp.AppendMethod SP_GAlignedAppend

## Method Details

### values

public static BinaryOp.AppendMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BinaryOp.AppendMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null